<?php
/**
 * Clase Base Bean para BaseCrAsistenciaBN
 *
 * @package    Sedapal
 * @subpackage BaseCrAsistenciaBN
 * @author     Willy
 * @version    SVN:: BaseCrAsistenciaBN.class.php,v 1.1 2014-02-23 12:22:44 william.taype Exp $
 */
abstract class BaseCrAsistenciaBN
{
  protected $IdAsistencia;
  protected $IdColaborador;
  protected $TipoAsistencia;
  protected $Estado;
  protected $Fecha;
  protected $NumeroMinutos;
  protected $Monto;
  protected $Comentario;
  protected $Eliminado;
  protected $UsuarioEliminado;
  protected $FechaEliminado;
  protected $FechaCreacion;
  protected $UsuarioCreacion;
  protected $FechaModificacion;
  protected $UsuarioModificacion;
  protected $Mensaje;
  protected $Error;

  public function getIdAsistencia(){
    return $this->IdAsistencia;
  }
  public function setIdAsistencia($v1){
    $this->IdAsistencia = $v1; 
  }

  public function getIdColaborador(){
    return $this->IdColaborador;
  }
  public function setIdColaborador($v1){
    $this->IdColaborador = $v1; 
  }

  public function getTipoAsistencia(){
    return $this->TipoAsistencia;
  }
  public function setTipoAsistencia($v1){
    $this->TipoAsistencia = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getFecha(){
    return $this->Fecha;
  }
  public function setFecha($v1){
    $this->Fecha = $v1; 
  }
  
  public function getNoAviso(){
    return $this->NoAviso;
  }
  public function setNoAviso($v1){
    $this->NoAviso = $v1; 
  }

  public function getNumeroMinutos(){
    return $this->NumeroMinutos;
  }
  public function setNumeroMinutos($v1){
    $this->NumeroMinutos = $v1; 
  }

   public function getHoraMinutoPactado(){
    return $this->HoraMinutoPactado;
  }
  public function setHoraMinutoPactado($v1){
    $this->HoraMinutoPactado = $v1; 
  }
  
  public function getMonto(){
    return $this->Monto;
  }
  public function setMonto($v1){
    $this->Monto = $v1; 
  }
  
  public function getRegistroLongitud(){
    return $this->RegistroLongitud;
  }
  public function setRegistroLongitud($v1){
    $this->RegistroLongitud = $v1; 
  }

  public function getRegistroLatitud(){
    return $this->RegistroLatitud;
  }
  public function setRegistroLatitud($v1){
    $this->RegistroLatitud = $v1; 
  }
  public function getComentario(){
    return $this->Comentario;
  }
  public function setComentario($v1){
    $this->Comentario = $v1; 
  }

  public function getIdSucursal(){
    return $this->IdSucursal;
  }
  public function setIdSucursal($v1){
    $this->IdSucursal = $v1; 
  } 
  
  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v1){
    $this->Eliminado = $v1; 
  }

  public function getUsuarioEliminado(){
    return $this->UsuarioEliminado;
  }
  public function setUsuarioEliminado($v1){
    $this->UsuarioEliminado = $v1; 
  }

  public function getFechaEliminado(){
    return $this->FechaEliminado;
  }
  public function setFechaEliminado($v1){
    $this->FechaEliminado = $v1; 
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v1){
    $this->FechaCreacion = $v1; 
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v1){
    $this->UsuarioCreacion = $v1; 
  }

  public function getFechaModificacion(){
    return $this->FechaModificacion;
  }
  public function setFechaModificacion($v1){
    $this->FechaModificacion = $v1; 
  }
  
 public function getIdColaboradores(){
    return $this->IdColaboradores;
  }
  public function setIdColaboradores($v1){
    $this->IdColaboradores = $v1; 
  }

  public function getUsuarioModificacion(){
    return $this->UsuarioModificacion;
  }
  public function setUsuarioModificacion($v1){
    $this->UsuarioModificacion = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }
  
  public function getFechaFinal(){
    return $this->FechaFinal;
  }
  public function setFechaFinal($v){
    $this->FechaFinal = $v;
  }

  /* Recupera un objeto Cr_asistenciaBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_asistenciaRs )
  {
    $o_CrAsistenciaBN = new CrAsistenciaBN();
    $o_CrAsistenciaBN->setIdAsistencia( $o_Cr_asistenciaRs['IdAsistencia'] );
    $o_CrAsistenciaBN->setIdColaborador( $o_Cr_asistenciaRs['IdColaborador'] );
    $o_CrAsistenciaBN->setTipoAsistencia( $o_Cr_asistenciaRs['TipoAsistencia'] );
    $o_CrAsistenciaBN->setEstado( $o_Cr_asistenciaRs['Estado'] );
    $o_CrAsistenciaBN->setFecha( $o_Cr_asistenciaRs['Fecha'] );
    $o_CrAsistenciaBN->setNumeroMinutos( $o_Cr_asistenciaRs['NumeroMinutos'] );
    $o_CrAsistenciaBN->setMonto( $o_Cr_asistenciaRs['Monto'] );
    $o_CrAsistenciaBN->setComentario( $o_Cr_asistenciaRs['Comentario'] );
    $o_CrAsistenciaBN->setEliminado( $o_Cr_asistenciaRs['Eliminado'] );
    $o_CrAsistenciaBN->setUsuarioEliminado( $o_Cr_asistenciaRs['UsuarioEliminado'] );
    $o_CrAsistenciaBN->setFechaEliminado( $o_Cr_asistenciaRs['FechaEliminado'] );
    $o_CrAsistenciaBN->setFechaCreacion( $o_Cr_asistenciaRs['FechaCreacion'] );
    $o_CrAsistenciaBN->setUsuarioCreacion( $o_Cr_asistenciaRs['UsuarioCreacion'] );
    $o_CrAsistenciaBN->setFechaModificacion( $o_Cr_asistenciaRs['FechaModificacion'] );
    $o_CrAsistenciaBN->setUsuarioModificacion( $o_Cr_asistenciaRs['UsuarioModificacion'] );
    return $o_CrAsistenciaBN;
  }
}